SPI\_cursor\_find

|          SPI\_cursor\_find           |                        |                         |                  |                                  |
|:------------------------------------:|------------------------|-------------------------|------------------|----------------------------------|
|[Prev](spi-spi-cursor-parse-open.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-cursor-fetch.html)|

---

[]()

## SPI\_cursor\_find

SPI\_cursor\_find — find an existing cursor by name

## Synopsis

```
Portal SPI_cursor_find(const char * name)

```

## Description

`SPI_cursor_find` finds an existing portal by name. This is primarily useful to resolve a cursor name returned as text by some other function.

## Arguments

`const char * *`name`*`

 name of the portal

## Return Value

 pointer to the portal with the specified name, or `NULL` if none was found

---

|[Prev](spi-spi-cursor-parse-open.html)|[Up](spi-interface.html)| [Next](spi-spi-cursor-fetch.html)|
|:-------------------------------------|:----------------------:|---------------------------------:|
|       SPI\_cursor\_parse\_open       |   [Home](index.html)   |        SPI\_cursor\_fetch        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>